#!/bin/bash
#
# File to actually install the software
# copy main prog

# Make some necessary dirs (hardcoded, do not change!)

mkdir -p $DESTDIR/var/cache/apt/archives/partial
mkdir -p $DESTDIR/var/lib/apt/lists/partial

cat << EOF > $DESTDIR/bin/apt-get
#!/bin/bash

/usr/bin/apt-get -o Dir::State=$DESTDIR/var/lib/apt -o Dir::Cache=$DESTDIR/var/cache/apt \$*
EOF

chmod 755 $DESTDIR/bin/apt-get

cat << EOF > $DESTDIR/bin/apt-cache
#!/bin/bash

/usr/bin/apt-cache -o Dir::State=$DESTDIR/var/lib/apt -o Dir::Cache=$DESTDIR/var/cache/apt \$*
EOF

chmod 755 $DESTDIR/bin/apt-cache

# Finished!
